body { background-color: #181716 }

/* Valitun (eli hiirellä maalatun) tekstin väri. */
::-moz-selection {
   color: #fff;
   background: #DC6713;
}
::selection {
   color: #fff;
   background: #DC6713;
}

/* Tee alaotsikko h1:n sisälle span-tagilla. */
h1 span {
   display: block;
   text-transform: uppercase;
   text-align: center;
   font-weight: 400;
   color: #fff;
}
/* Ylimääräinen tyhjä pois listoista sisältöalueella. */
#et-main-area ul {
  padding-bottom: 0 !important;
}
.wpcf7-form-control-wrap {
   margin-right: .3rem;
}

.wpcf7-list-item {
   margin-left: 0 !important;
   display: block !important;
}
.wpcf7-spinner {
   filter: invert(1) brightness(2);
   background-color: #293b45 !important;   
}
.wpcf7-list-item.first input[type="checkbox"] {
   margin-left: 0;
}
.wpcf7-list-item:not(.first) input[type="checkbox"] {
   margin-left: 1rem;
}
.wpcf7-form table, .wpcf7-form td {
   border: none !important;
}
.wpcf7-form td {
   width: 50%;
   vertical-align: top;
}
.wpcf7-form p {
  text-align: left !important;
}
.wpcf7-form td:first-child {
   padding: 0 2rem 0 0;
}
.wpcf7-form td:last-child {
   padding: 0;
}
.wpcf7-form .tietosuojaselostelinkki {
   color: #333;
   text-decoration: underline;
   text-decoration-color: rgba(51, 51, 51, .45);
}
.wpcf7-not-valid-tip {
   display: inline-block;
   padding: 2px 4px;
   margin-top: 0;
}

/* hCaptcha-bannerin tuunaukset. */
.wpcf7-form-control.h-captcha {
   display: block;
}


/* Tee yläpalkin sisään- ja ulosfeidauksesta pehmeämpää */
#main-header, #main-header li a, .et_pb_toggle_title, .et_pb_toggle_title::before {
   transition: all .3s linear !important;
}

/* H2-palkkiotsikoiden taustan sumennus */
.otsikko_blur {
   -webkit-backdrop-filter: blur(10px) brightness(.8);
   backdrop-filter: blur(10px) brightness(.8);
}

/* Siirrä pääkuva valikon alle. */
html:not(.et-fb-preview--phone, .et-fb-preview--tablet) #et-main-area {
   position: absolute;
   width: 100%;
   top: 0;  
}
#main-header:not(.et-fixed-header) {
   background: linear-gradient(0deg, rgba(10,37,56,0) 0%, rgba(10,37,56,0.23) 37%, rgba(10,37,56,0.36) 100%);
   -moz-box-shadow: 0 1px 0 rgba(0,0,0,0);
   -webkit-box-shadow: 0 1px 0 rgba(0,0,0,0);
   box-shadow: 0 1px 0 rgba(0,0,0,0);
}
/* Päävalikon teksti valkoiseksi kuvan päällä ainoastaan. */
#main-header:not(.et-fixed-header) #top-menu a {
   color: #fff !important;
}
#main-header:not(.et-fixed-header) #top-menu li a, .home h1 span {
  text-shadow: 1px 1px 1px rgba(0,0,0,.8);
}
/* Valikkopalkin logo piiloon aloitusnäkymässä */
.home #main-header:not(.et-fixed-header) .logo_container a {
   pointer-events: none;
}
.home #main-header:not(.et-fixed-header) #logo {
   opacity: 0;
}
.home #main-header.et-fixed-header #logo {
   opacity: 1;
}

/* Coypright-footerin tuunausta */
#main-footer, #footer-bottom {
   background-color: transparent;
}
#main-footer {
   position: relative;
}
#footer-bottom {
   position: absolute;
   bottom: 0;
   z-index: 999;
   width: 100%;
}
#footer-bottom .copyright {
  color: #ddd !important;
  font-family: 'Poppins',Helvetica,Arial,Lucida,sans-serif;
}

/* Etusivun kenburns */
.kb-zoomout .et-pb-parallax-background {
   animation: zoomout 27s forwards;
   -ms-animation: zoomout 27s forwards;
   -webkit-animation: zoomout 27s forwards;
   -o-animation: zoomout 27s forwards;
   -moz-animation: zoomout 27s forwards;
} 

@keyframes zoomout{
   0% {
       -ms-transform: scale3d(1.2, 1.2, 1.2) translate3d(0px, 0px, 0px);
       -webkit-transform: scale3d(1.2, 1.2, 1.2) translate3d(0px, 0px, 0px);
       -o-transform: scale3d(1.2, 1.2, 1.2) translate3d(0px, 0px, 0px);
       -moz-transform: scale3d(1.2, 1.2, 1.2) translate3d(0px, 0px, 0px);
       transform: scale3d(1.2, 1.2, 1.2) translate3d(0px, 0px, 0px);
       animation-timing-function: ease-out;
   }

   100% {
       -ms-transform: scale3d(1.0, 1.0, 1.0) translate3d(0px, 0px, 0px);
       -webkit-transform: scale3d(1.0, 1.0, 1.0) translate3d(0px, 0px, 0px);
       -o-transform: scale3d(1.0, 1.0, 1.0) translate3d(0px, 0px, 0px);
       -moz-transform: scale3d(1.0, 1.0, 1.0) translate3d(0px, 0px, 0px);
       transform: scale3d(1.0, 1.0, 1.0) translate3d(0px, 0px, 0px);
   }
}


/* Responsiivisuussäädöt */


/* Vain desktop */
@media only screen and (min-width: 981px)  {    
   /* Yläpalkin taustan sumennus */
   #main-header.et-fixed-header {
      -webkit-backdrop-filter: blur(6px) brightness(1.3);
      backdrop-filter: blur(6px) brightness(1.3);
   }   
   h1 span {
      font-size: .87rem;
      letter-spacing: 4px;
      line-height: 1.8em;
   }
   body.home h1 span{
      margin-top: .5rem;      
   }
   body:not(.home) h1 span {
      margin-top: 1.2rem;
   }
   small {
      font-size: 70%;
   }
   #menu-item-110.current-menu-item a {
      color: #fff !important;
   }
   .align_center {
      align-items: center;
      display: flex;
   }
   .align_end {
      align-items: flex-end;
      display: flex;
   }    
   #et-top-navigation, #top-menu-nav, #top-menu {
      float: none !important;
      padding-left: 0 !important;
      text-align: center;
   }   
   /* Perusyhteyslomakkeen säätöjä */
   .wpcf7-spinner {
      right: 6rem;
      margin-bottom: -.38rem !important;
      transform: scale(2.1);      
      -webkit-transform:scale(2.1, 2.1);  
   }      
}

/* Vain mobiili */

/* Puhelinkoot */
@media only screen and (max-width: 980px)  {
   #main-header {
      background-color: transparent !important;
   }
   h1 span {
      font-size: .75rem;
      letter-spacing: 4px;
      line-height: 1.5em;
   }
   body.home h1 span{
      margin-top: .5rem;      
   }
   body:not(.home) h1 span {
      margin-top: 1rem;
   }
   h1 img {
      width: 60% !important;
   }
   small {
      font-size: 85%;
   }
   /* Complianz-napit erilleen toisistaan mobiilissa. */
   .cmplz-buttons button {
      margin-bottom: .5rem !important;
      display: block !important;
   }
   .cmplz-link.privacy-statement {
      padding-left: 1rem;
   }     
   /* Perusyhteyslomakkeen säätöjä */
   .wpcf7-spinner {
      right: 27%;
      margin-bottom: -1.8% !important;
      transform: scale(1.8);      
      -webkit-transform:scale(1.8, 1.8);  
   } 
   /* Vaihda palstojen järjestys mobiilissa */
   .vaihda_mobiilissa_jarjestys {
      display: -webkit-box;
      display: -moz-box;
      display: -ms-flexbox;
      display: -webkit-flex;
      display: flex;
      -webkit-flex-wrap: wrap; /* Safari 6.1+ */
      flex-wrap: wrap;
   }
   .vaihda_mobiilissa_jarjestys .et_pb_column:nth-child(2) {
      -webkit-order: 1;
      order: 1;
   }
   .vaihda_mobiilissa_jarjestys .et_pb_column:nth-child(1) {
      -webkit-order: 2;
      order: 2;
   }          
}

/* Näillä voi jyrätä mobiilimenun värejä. */

/* Hampurilainen */
#main-header .mobile_menu_bar::before {
   color: #fff !important;
}
/* Viiva avatun mobiilivalikon yläreunassa */
.et_mobile_menu {
   border-top: 1px solid #DC6713 !important;
}
#et_mobile_nav_menu a {
   text-transform: uppercase;
   letter-spacing: 2px;
   font-size: .8rem;
}

/* Vain mobiili; näyttö pystyasennossa */
@media only screen and (max-width: 980px) and (orientation: portrait) {
   
}

/* Vain mobiili; näyttö vaaka-asennossa */
@media only screen and (max-width: 980px) and (orientation: landscape) {
   
}
